Project "Version" view's "Wiki page" field is still shown, although "Wiki" module is disabled on the

project

2019-06-11 10:00 - Ko Nagase

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:  Affected version:  

Description

I think that "Wiki page" field should be hidden, when "Wiki" module is disabled on the project.

[Project] / [Settings]

 project_settings.png 

[Project] / [Versions] => [New]

 project_versions.png 

History

#1 - 2019-06-11 16:49 - Seiei Miyagi

- File 0001-If-wiki-module-is-not-enabled-hide-Wiki-page-field-f.patch added

#2 - 2019-06-12 04:45 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2019-06-12 04:45 - Go MAEDA

- Target version changed from Candidate for next major release to Candidate for next minor release

#4 - 2019-12-08 07:34 - Go MAEDA

- Target version changed from Candidate for next minor release to Candidate for next major release

The patch only disables "Wiki page" field in version forms, but I think showing wiki content in the roadmap and version page also should be disabled.

Currently, even if Wiki module is switched to disabled after setting the version's wiki page, the content of wiki is still shown in the roadmap and the

version's detail page.

IMHO, the feature to disable showing wiki content in Roadmap and version's detail page should be implemented along with the proposed patch. If

only the proposed patch is applied, users will not be able to stop showing the version's wiki page after disabled wiki module.
